Bug 867591 - AttributeError: 'YumBase' object has no attribute 'preconf'
AttributeError: 'YumBase' object has no attribute 'preconf'
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
abrt_hash:1ae26c80c030912788d8f8c4bd6...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-17 15:37 EDT by Reartes Guillermo
Modified: 2013-01-09 21:24 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-23 00:12:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (416.10 KB, text/plain)
2012-10-17 15:37 EDT, Reartes Guillermo
no flags Details
File: product (6 bytes, text/plain)
2012-10-17 15:37 EDT, Reartes Guillermo
no flags Details
File: type (9 bytes, text/plain)
2012-10-17 15:37 EDT, Reartes Guillermo
no flags Details
File: ifcfg.log (1.57 KB, text/plain)
2012-10-17 15:37 EDT, Reartes Guillermo
no flags Details
File: storage.log (204.97 KB, text/plain)
2012-10-17 15:37 EDT, Reartes Guillermo
no flags Details
File: version (11 bytes, text/plain)
2012-10-17 15:37 EDT, Reartes Guillermo
no flags Details
File: environ (764 bytes, text/plain)
2012-10-17 15:37 EDT, Reartes Guillermo
no flags Details
File: anaconda.log (8.36 KB, text/plain)
2012-10-17 15:37 EDT, Reartes Guillermo
no flags Details
File: syslog (61.65 KB, text/plain)
2012-10-17 15:38 EDT, Reartes Guillermo
no flags Details
File: hashmarkername (8 bytes, text/plain)
2012-10-17 15:38 EDT, Reartes Guillermo
no flags Details
File: packaging.log (4.98 KB, text/plain)
2012-10-17 15:38 EDT, Reartes Guillermo
no flags Details
File: cmdline_file (96 bytes, text/plain)
2012-10-17 15:38 EDT, Reartes Guillermo
no flags Details
File: release (24 bytes, text/plain)
2012-10-17 15:38 EDT, Reartes Guillermo
no flags Details
File: program.log (103.29 KB, text/plain)
2012-10-17 15:38 EDT, Reartes Guillermo
no flags Details

  None (edit)
Description Reartes Guillermo 2012-10-17 15:37:22 EDT
Description of problem:
I suspected that sitching INSTALLATION SOURCE while anaconda is resolving dependencies
for a package group is not 100% safe.

While resolving dependecies of a pakage group using CLOSEST MIRROR i swiched to DVD.


Version-Release number of selected component:
anaconda-18.16

Additional info:
libreport version: 2.0.14
cmdline:        /usr/bin/python  /sbin/anaconda
kernel:         3.6.1-1.fc18.x86_64

description:
:The following was filed automatically by anaconda:
:anaconda 18.16 exception report
:Traceback (most recent call first):
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/packaging/yumpayload.py", line 600, in _configureBaseRepo
:    self._yum.preconf.releasever = self._getReleaseVersion(url)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/packaging/yumpayload.py", line 390, in updateBaseRepo
:    self._configureBaseRepo(storage, checkmount=checkmount)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/source.py", line 510, in apply
:    checkmount=False)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/hubs/__init__.py", line 108, in _runSpoke
:    action.apply()
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/hubs/__init__.py", line 323, in _on_spoke_clicked
:    self._runSpoke(spoke)
:AttributeError: 'YumBase' object has no attribute 'preconf'
Comment 1 Reartes Guillermo 2012-10-17 15:37:36 EDT
Created attachment 629032 [details]
File: anaconda-tb
Comment 2 Reartes Guillermo 2012-10-17 15:37:38 EDT
Created attachment 629033 [details]
File: product
Comment 3 Reartes Guillermo 2012-10-17 15:37:40 EDT
Created attachment 629034 [details]
File: type
Comment 4 Reartes Guillermo 2012-10-17 15:37:43 EDT
Created attachment 629035 [details]
File: ifcfg.log
Comment 5 Reartes Guillermo 2012-10-17 15:37:50 EDT
Created attachment 629036 [details]
File: storage.log
Comment 6 Reartes Guillermo 2012-10-17 15:37:52 EDT
Created attachment 629037 [details]
File: version
Comment 7 Reartes Guillermo 2012-10-17 15:37:54 EDT
Created attachment 629038 [details]
File: environ
Comment 8 Reartes Guillermo 2012-10-17 15:37:57 EDT
Created attachment 629039 [details]
File: anaconda.log
Comment 9 Reartes Guillermo 2012-10-17 15:38:00 EDT
Created attachment 629040 [details]
File: syslog
Comment 10 Reartes Guillermo 2012-10-17 15:38:02 EDT
Created attachment 629041 [details]
File: hashmarkername
Comment 11 Reartes Guillermo 2012-10-17 15:38:05 EDT
Created attachment 629042 [details]
File: packaging.log
Comment 12 Reartes Guillermo 2012-10-17 15:38:07 EDT
Created attachment 629043 [details]
File: cmdline_file
Comment 13 Reartes Guillermo 2012-10-17 15:38:09 EDT
Created attachment 629044 [details]
File: release
Comment 14 Reartes Guillermo 2012-10-17 15:38:14 EDT
Created attachment 629045 [details]
File: program.log
Comment 15 Reartes Guillermo 2012-10-17 15:52:04 EDT
Enhanced description, reproduced on another guest:

1. accept fate
2. wait some seconds for GNOME to be resolved (to avoid 864737)
3. enter INSTALLATION DESTINATION, select CLOSEST MIRROR.
4. wait for CLOSEST MIRROR to be avaiable.
5. select XFCE Destop, then return to the main hub.
6. while dependencies are being resolved, enter INSTALLATION
DESTINATION and change to DVD and return to the main hub.
Comment 16 Jesse Keating 2012-10-18 00:00:06 EDT
Perhaps we should not let you change source while we're depsolving.
Comment 17 Jesse Keating 2012-10-19 18:13:30 EDT
submitted a patch to lock out the source spoke while checking deps.  It's the easy fix for now, but we should make it thread safe.
Comment 18 Fedora Update System 2012-10-25 21:28:57 EDT
anaconda-18.21-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/anaconda-18.21-1.fc18
Comment 19 Fedora Update System 2012-10-26 15:30:48 EDT
Package anaconda-18.21-1.fc18, pykickstart-1.99.21-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-18.21-1.fc18 pykickstart-1.99.21-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16868/pykickstart-1.99.21-1.fc18,anaconda-18.21-1.fc18
then log in and leave karma (feedback).
Comment 20 Adam Williamson 2012-11-23 00:12:49 EST
This bug looks to have been fixed for many anaconda builds now but missed being closed. If you find you are still experiencing it with Fedora 18 Beta (RC1) or later, please re-open the bug.

(in Beta RC1, you definitely can't get into the source spoke while it's checking deps.)
Comment 21 Fedora Update System 2012-11-28 20:24:49 EST
anaconda-18.32-1.fc18, pykickstart-1.99.22-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/pykickstart-1.99.22-1.fc18,anaconda-18.32-1.fc18
Comment 22 Fedora Update System 2012-12-06 02:26:53 EST
pykickstart-1.99.22-1.fc18, anaconda-18.35-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.